import java.util.List;
import java.nio.file.Files;
import java.nio.file.Paths;

public class Demo {

    /**
     * Die Dokumentation befindet sich im Unterordner doc und in der Klasse
     * TFImageModel.java
     * 
     * 1. Model laden, indem der Pfad zum Model-Ordner hier übergeben wird
     * 2. Die Datei mit den Klassenlabels laden und als String[] konvertieren
     * 3. Die Klassenlabels ins Model laden
     * 4. Ein Bild ins Model laden
     * 5. Die Klassifizierung starten
     * 6. Die klassifizierte Klasse als Ergebnis anzeigen
     */
    public static void main(String[] args) {

        /** METHODE I - mit Klassenlabels **/
        
        TFImageModel im1 = new TFImageModel("/Users/ich/TF/data/imagenet_mobilenet_v3_large_100_224_classification_5", 224, 224);        
        
        // Klassenlabels laden, um später die Klassifikation benennen zu können
        String[] labels = null;
        try {
            List<String> result = Files.readAllLines(Paths.get("/Users/ich/TF/data/labels.txt"));
            labels = result.toArray(new String[result.size()]);
        }
        catch (java.io.IOException ioe) {           
        }       
        im1.setOutputLabels(labels);

        // Bild laden und Klassifikation starten
        im1.setData("/Users/ich/TF/data/pin.png");         
        im1.run();

        // Ausgabe
        System.out.println(im1.getOutputLabel());
        System.out.println();
        
        
        /** METHODE II - mit Klassenlabels **/
        
        TFImageModel im2 = new TFImageModel("/Users/ich/TF/data/imagenet_mobilenet_v3_large_100_224_classification_5", 224, 224);                
        
        // Bild laden und Klassifikation starten
        im2.setData("/Users/ich/TF/data/pin.png");         
        im2.run();

        // Ausgabe
        float[] erg = im2.getOutputArray();
        if (erg != null) {
            for (int i=0; i<erg.length;i++) {
                System.out.println(i + "\t " + erg[i]);
            }
        }        

    }

}
